<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (19) on Tue Feb 07 17:02:05 WET 2023 -->
<title>Class Hierarchy</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-02-07">
<meta name="description" content="class tree">
<meta name="generator" content="javadoc/TreeWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="tree-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="nav-bar-cell1-rev">Tree</li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#tree">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="package-hierarchy-label">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="org/academiadecodigo/simplegraphics/graphics/package-tree.html">org.academiadecodigo.simplegraphics.graphics</a>, </li>
<li><a href="org/academiadecodigo/simplegraphics/keyboard/package-tree.html">org.academiadecodigo.simplegraphics.keyboard</a>, </li>
<li><a href="org/academiadecodigo/simplegraphics/mouse/package-tree.html">org.academiadecodigo.simplegraphics.mouse</a>, </li>
<li><a href="org/academiadecodigo/simplegraphics/pictures/package-tree.html">org.academiadecodigo.simplegraphics.pictures</a>, </li>
<li><a href="org/academiadecodigo/simplegraphics/test/package-tree.html">org.academiadecodigo.simplegraphics.test</a></li>
</ul>
</div>
<section class="hierarchy">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html" class="type-name-link external-link" title="class or interface in java.lang">Object</a>
<ul>
<li class="circle">org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Canvas.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.graphics">Canvas</a></li>
<li class="circle">org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Color.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.graphics">Color</a></li>
<li class="circle">org.academiadecodigo.simplegraphics.pictures.<a href="org/academiadecodigo/simplegraphics/pictures/Color.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.pictures">Color</a></li>
<li class="circle">org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Ellipse.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.graphics">Ellipse</a> (implements org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Colorable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Colorable</a>, org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Fillable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Fillable</a>, org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Movable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Movable</a>, org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Shape.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Shape</a>)</li>
<li class="circle">org.academiadecodigo.simplegraphics.keyboard.<a href="org/academiadecodigo/simplegraphics/keyboard/Keyboard.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.keyboard">Keyboard</a> (implements java.awt.event.<a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.desktop/java/awt/event/KeyListener.html" title="class or interface in java.awt.event" class="external-link">KeyListener</a>)</li>
<li class="circle">org.academiadecodigo.simplegraphics.keyboard.<a href="org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></li>
<li class="circle">org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Line.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.graphics">Line</a> (implements org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Colorable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Colorable</a>, org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Movable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Movable</a>, org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Shape.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Shape</a>)</li>
<li class="circle">org.academiadecodigo.simplegraphics.mouse.<a href="org/academiadecodigo/simplegraphics/mouse/Mouse.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.mouse">Mouse</a> (implements java.awt.event.<a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.desktop/java/awt/event/MouseListener.html" title="class or interface in java.awt.event" class="external-link">MouseListener</a>, java.awt.event.<a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.desktop/java/awt/event/MouseMotionListener.html" title="class or interface in java.awt.event" class="external-link">MouseMotionListener</a>)</li>
<li class="circle">org.academiadecodigo.simplegraphics.mouse.<a href="org/academiadecodigo/simplegraphics/mouse/MouseEvent.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.mouse">MouseEvent</a></li>
<li class="circle">org.academiadecodigo.simplegraphics.pictures.<a href="org/academiadecodigo/simplegraphics/pictures/Picture.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.pictures">Picture</a> (implements org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Movable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Movable</a>, org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Shape.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Shape</a>)</li>
<li class="circle">org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Rectangle.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.graphics">Rectangle</a> (implements org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Colorable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Colorable</a>, org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Fillable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Fillable</a>, org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Movable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Movable</a>, org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Shape.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Shape</a>)</li>
<li class="circle">org.academiadecodigo.simplegraphics.test.<a href="org/academiadecodigo/simplegraphics/test/Tester.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.test">Tester</a> (implements org.academiadecodigo.simplegraphics.keyboard.<a href="org/academiadecodigo/simplegraphics/keyboard/KeyboardHandler.html" title="interface in org.academiadecodigo.simplegraphics.keyboard">KeyboardHandler</a>, org.academiadecodigo.simplegraphics.mouse.<a href="org/academiadecodigo/simplegraphics/mouse/MouseHandler.html" title="interface in org.academiadecodigo.simplegraphics.mouse">MouseHandler</a>)</li>
<li class="circle">org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Text.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.graphics">Text</a> (implements org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Colorable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Colorable</a>, org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Movable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Movable</a>, org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Shape.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Shape</a>)</li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Colorable.html" class="type-name-link" title="interface in org.academiadecodigo.simplegraphics.graphics">Colorable</a></li>
<li class="circle">org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Fillable.html" class="type-name-link" title="interface in org.academiadecodigo.simplegraphics.graphics">Fillable</a></li>
<li class="circle">org.academiadecodigo.simplegraphics.keyboard.<a href="org/academiadecodigo/simplegraphics/keyboard/KeyboardHandler.html" class="type-name-link" title="interface in org.academiadecodigo.simplegraphics.keyboard">KeyboardHandler</a></li>
<li class="circle">org.academiadecodigo.simplegraphics.mouse.<a href="org/academiadecodigo/simplegraphics/mouse/MouseHandler.html" class="type-name-link" title="interface in org.academiadecodigo.simplegraphics.mouse">MouseHandler</a></li>
<li class="circle">org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Movable.html" class="type-name-link" title="interface in org.academiadecodigo.simplegraphics.graphics">Movable</a></li>
<li class="circle">org.academiadecodigo.simplegraphics.graphics.<a href="org/academiadecodigo/simplegraphics/graphics/Shape.html" class="type-name-link" title="interface in org.academiadecodigo.simplegraphics.graphics">Shape</a></li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Enum Class Hierarchy">Enum Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html" class="type-name-link external-link" title="class or interface in java.lang">Object</a>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Enum.html" class="type-name-link external-link" title="class or interface in java.lang">Enum</a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Comparable.html" title="class or interface in java.lang" class="external-link">Comparable</a>&lt;T&gt;, java.lang.constant.<a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/constant/Constable.html" title="class or interface in java.lang.constant" class="external-link">Constable</a>, java.io.<a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a>)
<ul>
<li class="circle">org.academiadecodigo.simplegraphics.keyboard.<a href="org/academiadecodigo/simplegraphics/keyboard/KeyboardEventType.html" class="type-name-link" title="enum class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEventType</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
